Bug 240337 - /bin/ping (ping_t) "read" to locale-archive (locale_t)
/bin/ping (ping_t) "read" to locale-archive (locale_t)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 12:21 EDT by Jack Tanner
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:12:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2007-05-16 12:21:19 EDT
Description of problem:

On ifup eth0 I get:

avc: denied { read } for comm="ping" dev=dm-0 egid=0 euid=0 exe="/bin/ping"
exit=3 fsgid=0 fsuid=0 gid=0 items=0 name="locale-archive" pid=6762
scontext=system_u:system_r:ping_t:s0 sgid=0 subj=system_u:system_r:ping_t:s0
suid=0 tclass=file tcontext=root:object_r:locale_t:s0 tty=(none) uid=0

avc: denied { getattr } for comm="ping" dev=dm-0 egid=0 euid=0 exe="/bin/ping"
exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="locale-archive"
path="/usr/lib/locale/locale-archive" pid=6762
scontext=system_u:system_r:ping_t:s0 sgid=0 subj=system_u:system_r:ping_t:s0
suid=0 tclass=file tcontext=root:object_r:locale_t:s0 tty=(none) uid=0

Version-Release number of selected component (if applicable):

selinux-policy-2.4.6-62.fc6
Comment 1 Daniel Walsh 2007-05-17 11:45:02 EDT
Fixed in selinux-policy-2.4.6-71.fc6
Comment 2 Daniel Walsh 2007-08-22 10:12:47 EDT
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.